Groovy Documentation

## groovy.ui.text
[Java] Class StructuredSyntaxDocumentFilter.MultiLineRun

    java.lang.Object
      groovy.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

    protected class StructuredSyntaxDocumentFilter.MultiLineRun

Constructor Summary
`StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end)`
`StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end, int delimeterSize)`

Method Summary
`int` | `end()`
`int` | `getDelimeterSize()`
`int` | `length()`
`int` | `start()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StructuredSyntaxDocumentFilter.MultiLineRun

    public StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end)

### StructuredSyntaxDocumentFilter.MultiLineRun

    public StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end, int delimeterSize)

Method Detail

### end

    public int end()

### getDelimeterSize

    public int getDelimeterSize()

### length

    public int length()

### start

    public int start()

### toString

    public java.lang.String toString()

Groovy Documentation